## GstDevice GstDevice |

## Functions

GstElement * | gst_device_create_element ()
GstCaps * | gst_device_get_caps ()
gchar * | gst_device_get_device_class ()
gchar * | gst_device_get_display_name ()
gboolean | gst_device_has_classes ()
gboolean | gst_device_has_classesv ()
gboolean | gst_device_reconfigure_element ()
GstStructure * | gst_device_get_properties ()

## Types and Values

struct | GstDevice
struct | GstDeviceClass

## Includes

    #include <gst/gst.h>

## Description

## Functions

### gst_device_create_element ()

    GstElement *
    gst_device_create_element (GstDevice *device,
                               const gchar *name);

### gst_device_get_caps ()

    GstCaps *
    gst_device_get_caps (GstDevice *device);

### gst_device_get_device_class ()

    gchar *
    gst_device_get_device_class (GstDevice *device);

### gst_device_get_display_name ()

    gchar *
    gst_device_get_display_name (GstDevice *device);

### gst_device_has_classes ()

    gboolean
    gst_device_has_classes (GstDevice *device,
                            const gchar *classes);

### gst_device_has_classesv ()

    gboolean
    gst_device_has_classesv (GstDevice *device,
                             gchar **classes);

### gst_device_reconfigure_element ()

    gboolean
    gst_device_reconfigure_element (GstDevice *device,
                                    GstElement *element);

### gst_device_get_properties ()

    GstStructure *
    gst_device_get_properties (GstDevice *device);

## Types and Values

### struct GstDevice

    struct GstDevice {
      GstObject         parent;
    };

### struct GstDeviceClass

    struct GstDeviceClass {
      GstObjectClass    parent_class;

      GstElement * (*create_element)      (GstDevice * device, const gchar * name);
      gboolean     (*reconfigure_element) (GstDevice * device, GstElement * element);
    };